Package it.ernytech.tdlib

## Class TdApi.StorageStatisticsFast

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.StorageStatisticsFast

Enclosing class:
  TdApi

    public static class TdApi.StorageStatisticsFast
    extends TdApi.Object

Contains approximate storage usage statistics, excluding files of unknown file type.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `databaseSize` Size of the database.
`int` `fileCount` Approximate number of files.
`long` `filesSize` Approximate total size of files.

### Constructor Summary

Constructors
`StorageStatisticsFast()` Default constructor.
`StorageStatisticsFast​(long filesSize, int fileCount, long databaseSize)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### filesSize

    public long filesSize

Approximate total size of files.

#### fileCount

    public int fileCount

Approximate number of files.

#### databaseSize

    public long databaseSize

Size of the database.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### StorageStatisticsFast

    public StorageStatisticsFast()

Default constructor.

#### StorageStatisticsFast

    public StorageStatisticsFast​(long filesSize,
                                 int fileCount,
                                 long databaseSize)

Constructor for initialization of all fields.

Parameters:
  `filesSize` - Approximate total size of files.
  `fileCount` - Approximate number of files.
  `databaseSize` - Size of the database.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR